1. Propostas
Veploy API
  • Visão geral
  • Autenticação
  • Limites de requisição
  • Imóveis
    • Listar imóveis
    • Consultar imóvel
    • Cadastrar imóvel
    • Alterar imóvel
    • Excluir imóvel
    • Restaurar imóvel
    • Enviar foto do imóvel (Beta)
    • Remover foto do imóvel (Beta)
    • Listar tipos de imóvel
  • Proprietários
    • Listar proprietários
    • Consultar proprietário
    • Cadastrar proprietário
    • Alterar proprietário
    • Excluir proprietário
  • Leads
    • Listar leads
    • Consultar lead
    • Criar lead
    • Alterar responsável
    • Atualizar lead
    • Consultar linha do tempo do lead
  • Visitas
    • Listar visitas
    • Consultar visita
    • Agendar visita
    • Alterar visita
  • Propostas
    • Listar propostas
      GET
    • Consultar proposta
      GET
    • Registrar proposta
      POST
    • Alterar proposta
      PATCH
  • Portais
    • Listar portais
    • Consultar portal
    • Listar imóveis do XML
  • Usuários
    • Listar usuários
    • Consultar usuário
    • Consultar permissões do usuário
    • Convidar usuário
    • Alterar ficha do usuário
    • Desativar usuário
    • Reativar usuário
    • Remover usuário
  • Perfis de acesso
    • Listar perfis de acesso
  • Artigos
    • Listar artigos
    • Criar artigo
    • Consultar artigo
    • Alterar artigo
    • Enviar capa do artigo (Beta)
  • Temas
    • Tema do site
  1. Propostas

Listar propostas

GET
/v1/proposals
Lista as propostas visíveis para a chave, ordenadas por updated_at e id decrescentes.

Requisição

Authorization
Bearer Token
Forneça seu token bearer no cabeçalho
Authorization
ao fazer requisições para recursos protegidos.
Exemplo:
Authorization: Bearer ********************
or
Parâmetros de Consulta

Respostas

🟢200
application/json
Default Response
Bodyapplication/json

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.veploy.com/v1/proposals?page=undefined&per_page=undefined&status=pending&payment_method=undefined&property_ref=undefined&lead_id=undefined&responsible_id=undefined&expires_after=undefined&expires_before=undefined&updated_after=undefined&expand=responsible&expand=created_by' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Exemplo 1
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "status": "pending",
            "property": {
                "ref": "string"
            },
            "lead_id": "9bddab70-98e6-43a9-8f32-c9788b9de0c0",
            "amount": "string",
            "down_payment": "string",
            "currency": "str",
            "payment_method": "cash",
            "validity_days": 0,
            "expires_at": "2019-08-24T14:15:22.123Z",
            "notes": null,
            "parent_proposal_id": "096a9c18-f010-4074-96b9-ef96f145488b",
            "responsible_id": "58c9585a-8dec-43d5-adfc-6e46bfe76ff5",
            "created_by_id": "9377d689-01fb-4abf-8450-3368d2c1924f",
            "responsible": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "email": "string",
                "phone": "string",
                "cpf": "string",
                "creci": "string",
                "birth_date": "string",
                "avatar_url": "string",
                "role": "string",
                "status": "active",
                "lead_distribution_enabled": true,
                "username": "string",
                "invited_at": "2019-08-24T14:15:22.123Z",
                "email_confirmed_at": "2019-08-24T14:15:22.123Z",
                "created_at": "2019-08-24T14:15:22.123Z"
            },
            "created_by": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "email": "string",
                "phone": "string",
                "cpf": "string",
                "creci": "string",
                "birth_date": "string",
                "avatar_url": "string",
                "role": "string",
                "status": "active",
                "lead_distribution_enabled": true,
                "username": "string",
                "invited_at": "2019-08-24T14:15:22.123Z",
                "email_confirmed_at": "2019-08-24T14:15:22.123Z",
                "created_at": "2019-08-24T14:15:22.123Z"
            },
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        }
    ],
    "meta": {
        "pagination": {
            "page": 1,
            "per_page": 1,
            "count": 0,
            "total": 0,
            "total_pages": 0,
            "has_next": true,
            "has_previous": true
        }
    },
    "links": {
        "self": "string",
        "first": null,
        "previous": null,
        "next": null,
        "last": null
    }
}
Modificado em 2026-11-04 18:08:49
Página anterior
Alterar visita
Próxima página
Consultar proposta
Built with